LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08557Bug reports[All Projects] Survey takingpublic2014-01-18 17:052014-01-25 17:22
ReporterSteveflecha 
Assigned Toc_schmitz 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.05+ 
Target VersionFixed in Version2.05+ 
Summary08557: Text fields are disabled with live surveys due to 'readonly' attribute
DescriptionAfter creating and making a survey life with small or big free text fields the text fields can't be filled out by survey takes because these fields have this html:

<textarea class="textarea text-keypad empty hasKeypad" name="221484X1X17" id="answer221484X1X17" alt="Answer" rows="4" cols="40" maxlength="500" onkeyup="checkconditions(this.value, this.name, this.type)" readonly="readonly"></textarea>
Steps To ReproduceCreate a survey with free text fields.
In my example I have 2 in the same survey.
Additional InformationThere seem to be various JS errors:

http://screencast.com/t/rOrXwKoTsil [^]
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID140109
Browserall
Database & DB-VersionMysql 5.5.31
Operating System (Server)Debian
Webserver software & versionnginx/1.4.4
PHP Version5.3
Attached Files? file icon limesurvey_survey_221484.lss [^] (24,990 bytes) 2014-01-18 17:05

- Relationships

-  Notes
User avatar (27994)
Steveflecha (reporter)
2014-01-18 17:09

'Keyboard-less operation' must be set to 'Yes' to reproduce the error.
Setting it to 'no' solves the problem.
User avatar (27998)
c_schmitz (administrator)
2014-01-19 01:20

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13715 [^]
User avatar (28160)
c_schmitz (administrator)
2014-01-25 17:22

2.05+ Build 140125 released

- Related Changesets
LimeSurvey: master 3ac2c6b7
Timestamp: 2014-01-19 00:18:26
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 08557: If setting 'Keyboard-less operation' is activated then text inputs don't work at all
mod - application/helpers/common_helper.php Diff ] File ]
rm - third_party/jquery-keypad/i18n/jquery.ui.keypad-de.js Diff ] File ]
rm - third_party/jquery-keypad/i18n/jquery.ui.keypad-es.js Diff ] File ]
rm - third_party/jquery-keypad/i18n/jquery.ui.keypad-fr.js Diff ] File ]
add - third_party/jquery-keypad/jquery.keypad-ca.js Diff ] File ]
add - third_party/jquery-keypad/jquery.keypad-cs.js Diff ] File ]
add - third_party/jquery-keypad/jquery.keypad-de.js Diff ] File ]
add - third_party/jquery-keypad/jquery.keypad-es.js Diff ] File ]
add - third_party/jquery-keypad/jquery.keypad-fr.js Diff ] File ]
add - third_party/jquery-keypad/jquery.keypad-it.js Diff ] File ]
add - third_party/jquery-keypad/jquery.keypad-tr.js Diff ] File ]
add - third_party/jquery-keypad/jquery.keypad.js Diff ] File ]
mod - third_party/jquery-keypad/jquery.keypad.min.js Diff ] File ]
add - third_party/jquery-keypad/keypad.png Diff ] File ]
add - third_party/jquery-keypad/keypadBasic.html Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-18 17:05 Steveflecha New Issue
2014-01-18 17:05 Steveflecha File Added: limesurvey_survey_221484.lss
2014-01-18 17:09 Steveflecha Note Added: 27994
2014-01-19 00:57 c_schmitz Assigned To => c_schmitz
2014-01-19 00:57 c_schmitz Status new => assigned
2014-01-19 01:20 c_schmitz Changeset attached => LimeSurvey master 3ac2c6b7
2014-01-19 01:20 c_schmitz Note Added: 27998
2014-01-19 01:20 c_schmitz Resolution open => fixed
2014-01-19 01:20 c_schmitz Status assigned => resolved
2014-01-19 01:20 c_schmitz Fixed in Version => 2.05+
2014-01-25 17:22 c_schmitz Note Added: 28160
2014-01-25 17:22 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker